Raster Pyramids and Histogram tab should be hidden for WMS layers

2013-04-13 08:08 PM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16531

Description

WMS layers do not support the pyramids and histogram tab. In current master clicking either of these tabs shows the pane for the "Pipe"

tab. These options should be hidden or disabled for WMS layers.

History

#1 - 2013-04-14 04:26 AM - Giovanni Manghi

- Status changed from Open to Feedback

In my master I cannot see that tabs, it was fixed in the last hours?

#2 - 2013-04-14 04:51 AM - Nyall Dawson

- File wms_properties.png added

Nope - still seeing it with current master. I've attached a screenshot. Both the Pyramids and Histogram buttons are shown, but clicking them displays only

the Pipes tab.

#3 - 2013-04-14 08:15 AM - Larry Shaffer

I'll look into this right now. Seems my update to vertical tabs may have messed that up.

#4 - 2013-04-14 08:39 AM - Larry Shaffer

Should be fixed with commit commit:833ae95

Please test, works on Mac for WMS layers

#5 - 2013-04-14 03:39 PM - Nyall Dawson

- Status changed from Feedback to Closed

Works perfectly now -- thank you!
